---
- hosts: all
  become: true

  vars:
    java_packages:
      - openjdk-11-jdk

  pre_tasks:
    - name: Ensure unzip is installed
      apt:
        name: unzip
        state: present

  roles:
    - role: ansible-role-java
      become: true

- hosts: jenkins
  become: true

  roles:
    - role: ansible-role-jenkins
      become: true

- hosts: sonarqube
  become: true

  vars:
    postgresql_databases:
      - name: sonarqube
    postgresql_users:
      - name: sonar
        password: sonar

  roles:
    - role: ansible-role-postgresql
      become: true
    - role: ansible-role-sonarqube
      become: true
